import { defineMessages } from "react-intl";

export default defineMessages({
  SaveKeys: "Save your keys!",
  SaveKeysHelp:
    "Your private key is your password. If you lose this key, you will lose access to your account! Copy it and keep it in a safe place. There is no way to reset your private key.",
  YourPubkey: "Your public key",
  YourPrivkey: "Your private key",
  KeysSaved: "I have saved my keys, continue",
  WhatIsSnort: "What is Snort and how does it work?",
  WhatIsSnortIntro: `Snort is a Nostr UI, nostr is a decentralised protocol for saving and distributing "notes".`,
  WhatIsSnortNotes: `Notes hold text content, the most popular usage of these notes is to store "tweet like" messages.`,

  WhatIsSnortExperience: "Snort is designed to have a similar experience to Twitter.",
  HowKeysWork: "How do keys work?",
  DigitalSignatures: `Nostr uses digital signature technology to provide tamper proof notes which can safely be replicated to many relays to provide redundant storage of your content.`,
  TamperProof: `This means that nobody can modify notes which you have created and everybody can easily verify that the notes they are reading are created by you.`,
  Bitcoin: `This is the same technology which is used by Bitcoin and has been proven to be extremely secure.`,
  Extensions: `It is recommended to use one of the following browser extensions if you are on a desktop computer to secure your key:`,
  ExtensionsNostr: `You can also use these extensions to login to most Nostr sites.`,
  ImproveSecurity: "Improve login security with browser extensions",
  PickUsername: "Pick a username",
  UsernameHelp:
    "On Nostr, many people have the same username. User names and identity are separate things. You can get a unique identifier in the next step.",
  Username: "Username",
  UsernamePlaceholder: "e.g. Jack",
  PopularAccounts: "Follow some popular accounts",
  Skip: "Skip",
  Done: "Done!",
  ImportTwitter: "Import Twitter Follows (optional)",
  TwitterPlaceholder: "Twitter username...",
  FindYourFollows: "Find your twitter follows on nostr (Data provided by {provider})",
  TwitterUsername: "Twitter username",
  FollowsOnNostr: "{username}'s Follows on Nostr",
  NoUsersFound: "No nostr users found for {twitterUsername}",
  FailedToLoad: "Failed to load follows, please try again later",
  Check: "Check",
  Next: "Next",
  SetupProfile: "Setup your Profile",
  Identifier: "Get an identifier (optional)",
  IdentifierHelp:
    "Getting an identifier helps confirm the real you to people who know you. Many people can have a username @jack, but there is only one jack@cash.app.",
  PreventFakes: "Prevent fake accounts from imitating you",
  EasierToFind: "Make your profile easier to find and share",
  Funding: "Fund developers and platforms providing NIP-05 verification services",
  NameSquatting:
    "Name-squatting and impersonation is not allowed. Snort and our partners reserve the right to terminate your handle (not your account - nobody can take that away) for violating this rule.",
  PreviewOnSnort: "Preview on snort",
  GetSnortId: "Get a Snort identifier",
  GetSnortIdHelp:
    "Only Snort and our integration partner identifier gives you a colorful domain name, but you are welcome to use other services too.",
  GetPartnerId: "Get a partner identifier",
  GetPartnerIdHelp: "We have also partnered with nostrplebs.com to give you more options",
  Ready: "You're ready!",
  Share: "Share your thoughts with {link}",
  World: "the world",
});
